# V2Api.CreateCollectionRequestBody

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**name** | **String** |  | [optional] 
**replicationFactor** | **Number** |  | [optional] 
**config** | **String** |  | [optional] 
**numShards** | **Number** |  | [optional] 
**shardNames** | **[String]** |  | [optional] 
**pullReplicas** | **Number** |  | [optional] 
**tlogReplicas** | **Number** |  | [optional] 
**nrtReplicas** | **Number** |  | [optional] 
**waitForFinalState** | **Boolean** |  | [optional] 
**perReplicaState** | **Boolean** |  | [optional] 
**alias** | **String** |  | [optional] 
**properties** | **{String: String}** |  | [optional] 
**async** | **String** |  | [optional] 
**router** | [**CreateCollectionRouterProperties**](CreateCollectionRouterProperties.md) |  | [optional] 
**nodeSet** | **[String]** |  | [optional] 
**createReplicas** | **Boolean** |  | [optional] 
**shuffleNodes** | **Boolean** |  | [optional] 


